.header-language-switcher {
  z-index: 1023;
}

.header-language-switcher__link {
  text-decoration: none !important;
}

.header-language-switcher__flag {
  min-width: 34px;
  height: 34px;
  padding: 0 8px;
  border-radius: 999px;
  background-color: transparent;
  color: #000;
  font-size: 20px;
  line-height: 1;
  letter-spacing: -0.2px;
  text-transform: uppercase;
  transition: transform 0.2s linear, box-shadow 0.2s linear, background-color 0.2s linear;
}

.mobile-menu .header-language-switcher__flag, .navbar-scrolled .header-language-switcher__flag, .navbar-header-opened .header-language-switcher__flag {
  color: #000;
}

.header-language-switcher__link:hover .header-language-switcher__flag,
.header-language-switcher__link:focus-visible .header-language-switcher__flag {
  animation: scalingBigger 0.5s linear infinite;
  -webkit-animation: scalingBigger 0.5s linear infinite;
}

.home-body .navbar-header:not(.navbar-scrolled):not(.navbar-header-opened) .header-language-switcher__link:hover .header-language-switcher__flag,
.home-body .navbar-header:not(.navbar-scrolled):not(.navbar-header-opened) .header-language-switcher__link:focus-visible .header-language-switcher__flag {
  animation: scalingBigger 0.5s linear infinite;
  -webkit-animation: scalingBigger 0.5s linear infinite;
}

.header-language-switcher--mobile {
  display: none;
}

.home-body .navbar-header:not(.navbar-scrolled):not(.navbar-header-opened) .header-language-switcher__flag {
  color: #fff !important;
}

@media screen and (max-width: 500px) {
  .header-language-switcher--desktop {
    display: none !important;
  }

  .header-language-switcher--mobile {
    display: block;
    padding: 10px 0 0 8px;
  }

  .header-language-switcher--mobile .header-language-switcher__flag {
    min-width: 34px;
    height: 34px;
  }
}